---
schema_version: "1"
id: ffb9f29001db7fca4ae85386f11a82c449e0328b4f118031d1a586b4ac0fadf3
title: List Info Post Input
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_requests_list_info_post_input.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_requests_list_info_post_input.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: 6f27472fcb1f0d701bca1becfe9000ce34d6a06be4dc7c53892e7f3e97c289e4
description: Info to create a list.
---
# List Info Post Input

Info to create a list.

Example

This example uses a request body to create the metadata for an account list view.

POST /services/data/v68.0/ui-api/list-info/Account

{
"listViewApiName": "MyAccountListView",
"filteredByInfo": \[
  {
  "fieldApiName": "Name",
  "operandLabels": \[ "This", "That"\],
  "operator": "Equals"
  },
  {
  "fieldApiName": "Phone",
  "operandLabels": \[ "919"\],
  "operator": "StartsWith"
  },
{
  "fieldApiName": "AnnualRevenue",
  "operandLabels": \[ "1000000"\],
  "operator": "GreaterThan"
  }
\],
"filterLogicString" : "(1 OR 2) AND 3",
"label": "Accounts opened this year",
"scope": {
  "apiName": "entity",
  "entityId": "00Gxx000000sjI8",
  "relatedEntityId": "701xx000003HZ7X"
},
"visibility": "Public"
}

Properties

<table class="featureTable sort_table" summary="">





              <thead class="thead sorted" align="left">
                <tr>
                  <th class="featureTableHeader vertical-align-top " id="d24998e63">Name</th>

                  <th class="featureTableHeader vertical-align-top " id="d24998e66">Type</th>

                  <th class="featureTableHeader vertical-align-top " id="d24998e69">Description</th>

                  <th class="featureTableHeader vertical-align-top " id="d24998e72">Required or Optional</th>

                  <th class="featureTableHeader vertical-align-top " id="d24998e75">Available Version</th>

                </tr>

              </thead>

              <tbody class="tbody">
                <tr>
                  <td class="entry" headers="d24998e63" data-title="Name"><samp class="codeph nolang">displayColumns</samp></td>

                  <td class="entry" headers="d24998e66" data-title="Type">String[]</td>

                  <td class="entry" headers="d24998e69" data-title="Description">Display columns (field API names) for the list.</td>

                  <td class="entry" headers="d24998e72" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d24998e75" data-title="Available Version">61.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d24998e63" data-title="Name"><samp class="codeph nolang">filterLogicString</samp></td>

                  <td class="entry" headers="d24998e66" data-title="Type">String</td>

                  <td class="entry" headers="d24998e69" data-title="Description">Filter logic string, such as (1 OR 2) and 3. Indexes start with
                    1.</td>

                  <td class="entry" headers="d24998e72" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d24998e75" data-title="Available Version">61.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d24998e63" data-title="Name"><samp class="codeph nolang">filteredByInfo</samp></td>

                  <td class="entry" headers="d24998e66" data-title="Type">
                    <a class="xref" href="https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_requests_list_filter_by_info_input.htm" title="List filter by info to update or create.">List Filter By Info Input</a>[]
                  </td>

                  <td class="entry" headers="d24998e69" data-title="Description">Filtering information for the list.</td>

                  <td class="entry" headers="d24998e72" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d24998e75" data-title="Available Version">61.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d24998e63" data-title="Name"><samp class="codeph nolang">label</samp></td>

                  <td class="entry" headers="d24998e66" data-title="Type">String</td>

                  <td class="entry" headers="d24998e69" data-title="Description">List’s display label, for example, All Accounts.</td>

                  <td class="entry" headers="d24998e72" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d24998e75" data-title="Available Version">61.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d24998e63" data-title="Name"><samp class="codeph nolang">listShares</samp></td>

                  <td class="entry" headers="d24998e66" data-title="Type">String[]</td>

                  <td class="entry" headers="d24998e69" data-title="Description">Objects the list is shared with, if visibility is shared. <p class="p">For role
                      sharing, use <samp class="codeph nolang">Role.<var class="keyword varname">RoleAPIName</var></samp>. For group sharing, use
                      <samp class="codeph nolang"><var class="keyword varname">groupType.GroupApiName</var></samp>, where
                      <var class="keyword varname">groupType</var> is one of the <samp class="codeph nolang">type</samp> values for the <a class="xref" href="https://developer.salesforce.com/docs/atlas.en-us.264.0.object_reference.meta/object_reference/sforce_api_objects_group.htm" target="_blank">Group</a> object.
                    </p>
                  </td>

                  <td class="entry" headers="d24998e72" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d24998e75" data-title="Available Version">61.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d24998e63" data-title="Name"><samp class="codeph nolang">listViewApiName</samp></td>

                  <td class="entry" headers="d24998e66" data-title="Type">String</td>

                  <td class="entry" headers="d24998e69" data-title="Description">API name for the list. This property is optional but strongly
                    recommended. If unspecified, a default API name is generated.</td>

                  <td class="entry" headers="d24998e72" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d24998e75" data-title="Available Version">61.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d24998e63" data-title="Name"><samp class="codeph nolang">scope</samp></td>

                  <td class="entry" headers="d24998e66" data-title="Type"><a class="xref" href="https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_requests_list_scope_input.htm" title="List scope to update or create.">List Scope Input</a></td>

                  <td class="entry" headers="d24998e69" data-title="Description">Scope information for the list.</td>

                  <td class="entry" headers="d24998e72" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d24998e75" data-title="Available Version">61.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d24998e63" data-title="Name"><samp class="codeph nolang">visibility</samp></td>

                  <td class="entry" headers="d24998e66" data-title="Type">String</td>

                  <td class="entry" headers="d24998e69" data-title="Description">List’s visibility. One of these values: <ul class="ul bulletList">
                      <li class="li"><samp class="codeph nolang">Private</samp></li>

                      <li class="li"><samp class="codeph nolang">Public</samp></li>

                      <li class="li"><samp class="codeph nolang">Shared</samp></li>

                    </ul>
                  </td>

                  <td class="entry" headers="d24998e72" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d24998e75" data-title="Available Version">61.0</td>

                </tr>

              </tbody>

            </table>

#### See Also

- [Create a List View for an Object](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_lists_object_post.htm "Create a list view associated with an object.")